> For the complete documentation index, see [llms.txt](https://docs.blockrazor.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockrazor.io/transaction-submission/block-builder/endpoint.md).

# BSC Block Builder Endpoint

### **Default Access**

Prioritize using a global, universal entry point, suitable for quickly completing integration and serving global requests. Endpoint: <mark style="color:$primary;">**<https://rpc.blockrazor.builders>**</mark>

### **Regional optimization**

If your bot or service is already deployed in a specific region and is more sensitive to latency and consistency, you can further connect to a regional entry point on top of connecting to a globally universal endpoint.

<table><thead><tr><th width="127">Region</th><th width="190.97265625">Available area（AWS）</th><th>RPC Endpoint</th></tr></thead><tbody><tr><td>Tokyo</td><td>apne1-az4</td><td>https://tokyo.builder.blockrazor.io</td></tr><tr><td>Frankfurt</td><td>euc1-az2</td><td>https://frankfurt.builder.blockrazor.io</td></tr><tr><td>Virginia</td><td>use1-az4</td><td>https://virginia.builder.blockrazor.io</td></tr><tr><td>Dublin</td><td>euw1-az1</td><td>https://dublin.builder.blockrazor.io</td></tr></tbody></table>

### **Quality Enhancement**

If you have already completed the basic integration and are starting to focus on the additional overhead in the commit path, cross-region fluctuations, and stability under high load, you can further integrate [Fast Submit](/transaction-submission/block-builder/fast-submit.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.blockrazor.io/transaction-submission/block-builder/endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
